> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update firmware settings

> Update organization firmware schedule settings



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/org/updateFirmwareSettings
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/org/updateFirmwareSettings:
    post:
      tags:
        - Org Webservice
      summary: Update firmware settings
      description: Update organization firmware schedule settings
      operationId: updateFirmwareSettings
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Org_UpdateFirmwareSettingsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org_UpdateFirmwareSettingsWSResponse'
          description: OK
components:
  schemas:
    Org_UpdateFirmwareSettingsWSRequest:
      type: object
      description: Request object for updating firmware settings.
      properties:
        firmwareSettings:
          $ref: '#/components/schemas/FirmwareUpdateSettingsType'
        firmwareUpdateSettings:
          $ref: '#/components/schemas/FirmwareUpdateSettingsType'
        firmwareUpdateSettingsOverrides:
          type: array
          description: Overrides default firmware update settings.
          items:
            $ref: '#/components/schemas/FirmwareUpdateSettingsOverrideType'
          nullable: true
    Org_UpdateFirmwareSettingsWSResponse:
      type: object
      description: Response object for updating firmware settings.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    FirmwareUpdateSettingsType:
      type: object
      nullable: true
      properties:
        intervalsV2:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareUpdateIntervalType'
          nullable: true
        mode:
          $ref: '#/components/schemas/FirmwareUpdateModeEnum'
    FirmwareUpdateSettingsOverrideType:
      type: object
      description: Overrides default firmware update settings.
      nullable: true
      properties:
        deviceTypes:
          type: array
          items:
            $ref: '#/components/schemas/DeviceTypeEnum'
          nullable: true
          uniqueItems: true
        firmwareUpdateSettings:
          $ref: '#/components/schemas/FirmwareUpdateSettingsType'
    FirmwareUpdateIntervalType:
      type: object
      nullable: true
      properties:
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
    FirmwareUpdateModeEnum:
      type: string
      enum:
        - MANUAL
        - SCHEDULED
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````